📗 Zend Framework Role-Based Access Control [LTS]
Clone or download
Pull request Compare This branch is 1 commit ahead of ZF-Commons:develop.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
config
data
docs
src
test
.docheader
.gitignore
.php_cs
.travis.yml
CHANGELOG.md
LICENSE
README.md
UPGRADE.md
composer.json
phpunit.xml.dist

README.md

ZfcRbac

Develop Branch Build Status Coverage Status Latest Stable Version Total Downloads Latest Unstable Version License Join the chat at https://gitter.im/ZFCommons/zfc-rbac

ZfcRbac is an access control library based on the RBAC permission model.

Work In Progress; you are looking at the next version, for stable visit the master branch.

Requirements

  • PHP 7.1 or higher

If you are looking for older version of ZfcRbac, please refer to the 2.x branch. If you are using ZfcRbac 2.0, please upgrade to 3.0.

Optional

  • DoctrineModule: if you want to use some built-in role and permission providers.
  • ZendDeveloperTools: if you want to have useful stats added to the Zend Developer toolbar.

Upgrade

You can find an upgrade guide to quickly upgrade your application from major versions of ZfcRbac.

Installation

ZfcRbac only officially supports installation through Composer. For Composer documentation, please refer to getcomposer.org.

Install the module:

$ php composer.phar require zf-commons/zfc-rbac:^3.0

Enable the module by adding ZfcRbac key to your application.config.php file. Customize the module by copy-pasting the zfc_rbac.global.php.dist file to your config/autoload folder.

Documentation

The official documentation is available in the /docs folder.

You can also find some Doctrine entities in the /data folder that will help you to more quickly take advantage of ZfcRbac.

Support